## horizon-eda 1.4.0

=== Makefile ===
PKG_CONFIG ?= pkg-config
BUILDDIR    = build
PROGS       = $(addprefix $(BUILDDIR)/horizon-,imp eda)

all: $(PROGS)
pymodule: $(BUILDDIR)/horizon.so

.PHONY: all pymodule

SRC_COMMON = \
	src/util/uuid.cpp \
	src/util/uuid_path.cpp\
	src/util/sqlite.cpp\
	src/util/str_util.cpp\
	src/pool/pool_manager.cpp \
	src/pool/unit.cpp \
	src/pool/symbol.cpp \
	src/pool/part.cpp\
	src/common/common.cpp \
	src/common/junction.cpp \
	src/common/junction_util.cpp \
	src/common/line.cpp \
	src/common/arc.cpp \
	src/common/layer_provider.cpp \
	src/pool/gate.cpp\
	src/block/net.cpp\
	src/block/bus.cpp\
	src/block/block.cpp\
	src/pool/entity.cpp\
	src/block/component.cpp\
	src/block/bom.cpp\
	src/block/bom_export_settings.cpp\
	src/schematic/schematic.cpp\
	src/schematic/sheet.cpp\
	src/common/text.cpp\
	src/schematic/schematic_junction.cpp\
	src/schematic/line_net.cpp\
	src/schematic/net_label.cpp\
	src/schematic/bus_label.cpp\
	src/schematic/bus_ripper.cpp\
	src/schematic/schematic_symbol.cpp\
	src/schematic/power_symbol.cpp\
	src/schematic/schematic_rules.cpp\
	src/schematic/rule_single_pin_net.cpp\
	src/common/pdf_export_settings.cpp\
	src/pool/padstack.cpp\
	src/common/polygon.cpp\
	src/common/hole.cpp\
	src/common/shape.cpp\
	src/common/patch_type_names.cpp\
	src/pool/package.cpp\
	src/package/pad.cpp\
	src/package/package_rules.cpp\
	src/package/rule_package_checks.cpp\
	src/package/rule_clearance_package.cpp\
	src/board/board.cpp\
	src/board/board_package.cpp\
	src/board/track.cpp\
	src/board/airwire.cpp\
	src/board/via_padstack_provider.cpp\
	src/board/via.cpp\
	src/board/plane.cpp\
	src/board/board_rules.cpp\
	src/board/rule_hole_size.cpp\
	src/board/rule_clearance_silk_exp_copper.cpp\
	src/board/rule_track_width.cpp\
	src/board/rule_clearance_copper.cpp\
	src/board/rule_parameters.cpp\
	src/board/rule_via.cpp\
	src/board/rule_clearance_copper_other.cpp\
	src/board/rule_plane.cpp\
	src/board/rule_diffpair.cpp\
	src/board/rule_preflight_checks.cpp\
	src/board/rule_clearance_copper_keepout.cpp\
	src/board/rule_layer_pair.cpp\
	src/board/rule_clearance_same_net.cpp\
	3rd_party/delaunator/delaunator.cpp\
	src/board/airwires.cpp\
	src/board/fab_output_settings.cpp\
	src/board/board_hole.cpp\
	src/board/connection_line.cpp\
	src/board/step_export_settings.cpp\
	src/board/pnp_export_settings.cpp\
	src/board/pnp.cpp\
	src/board/board_decal.cpp\
	src/pool/pool.cpp \
	src/util/placement.cpp\
	src/util/util.cpp\
	src/util/csv.cpp\
	src/common/object_descr.cpp\
	src/block/net_class.cpp\
	src/project/project.cpp\
	src/util/version.cpp\
	src/rules/rules.cpp\
	src/rules/rule.cpp\
	src/rules/rule_descr.cpp\
	src/rules/rule_match.cpp\
	src/rules/rule_match_keepout.cpp\
	src/rules/rules_import_export.cpp\
	src/parameter/program.cpp\
	src/parameter/set.cpp\
	3rd_party/clipper/clipper.cpp\
	src/common/dimension.cpp\
	src/logger/logger.cpp\
	src/parameter/program_polygon.cpp\
	src/frame/frame.cpp\
	src/common/keepout.cpp\
	src/board/board_layers.cpp\
	src/pool/pool_parametric.cpp \
	src/board/included_board.cpp \
	src/board/board_panel.cpp \
	src/pool/pool_cached.cpp\
	src/common/picture.cpp\
	src/util/picture_data.cpp\
	src/util/picture_load.cpp\
	src/pool/decal.cpp\
	src/symbol/symbol_rules.cpp\
	src/symbol/rule_symbol_checks.cpp\
	src/util/file_version.cpp


ifeq ($(OS),Windows_NT)
    SRC_COMMON += src/util/uuid_win32.cpp
endif
SRC_COMMON_GEN += $(GENDIR)/resources.cpp
SRC_COMMON_GEN += $(GENDIR)/version_gen.cpp
SRC_COMMON_GEN += $(GENDIR)/help_texts.cpp

SRC_POOL_UPDATE = \
	src/pool-update/pool-update.cpp\
	src/pool-update/pool-update_parametric.cpp\
	src/pool-update/pool-update_pool.cpp\
	src/pool-update/graph.cpp\

SRC_CANVAS = \
	src/canvas/canvas.cpp \
	src/canvas/canvas_gl.cpp \
	src/canvas/grid.cpp \
	src/canvas/gl_util.cpp \
	src/canvas/pan.cpp \
	src/canvas/render.cpp \
	src/canvas/draw.cpp \
	src/canvas/text.cpp \
	src/canvas/hershey_fonts.cpp \
	src/canvas/drag_selection.cpp \
	src/canvas/selectables.cpp \
	src/canvas/selectables_renderer.cpp \
	src/canvas/hover_prelight.cpp\
	src/canvas/triangle_renderer.cpp\
	src/canvas/image.cpp\
	src/canvas/selection_filter.cpp\
	3rd_party/polypartition/polypartition.cpp\
	src/canvas/marker.cpp\
	src/canvas/annotation.cpp \
	src/canvas/fragment_cache.cpp \
	src/util/text_data.cpp \
	3rd_party/poly2tri/common/shapes.cpp\
	3rd_party/poly2tri/sweep/cdt.cpp\
	3rd_party/poly2tri/sweep/sweep.cpp\
	3rd_party/poly2tri/sweep/sweep_context.cpp\
	3rd_party/poly2tri/sweep/advancing_front.cpp\
	src/util/msd.cpp\
	src/util/msd_animator.cpp\
	src/canvas/appearance.cpp\
	src/canvas/bitmap_font_util.cpp\
	src/canvas/picture_renderer.cpp\
	src/util/polygon_arc_removal_proxy.cpp\

SRC_IMP = \
	src/imp/imp_main.cpp \
	src/imp/main_window.cpp \
	src/imp/imp.cpp \
	src/imp/imp_search.cpp \
	src/imp/imp_key.cpp \
	src/imp/imp_hud.cpp \
	src/imp/imp_action.cpp \
	src/imp/imp_layer.cpp\
	src/imp/imp_symbol.cpp\
	src/imp/imp_schematic.cpp\
	src/imp/imp_padstack.cpp\
	src/imp/imp_package.cpp\
	src/imp/imp_package_3d.cpp\
	src/imp/imp_board.cpp\
	src/imp/imp_frame.cpp\
	src/imp/imp_decal.cpp\
	src/imp/tool_popover.cpp\
	src/imp/selection_filter_dialog.cpp\
	src/imp/action.cpp\
	src/imp/action_catalog.cpp\
	src/imp/in_tool_action_catalog.cpp\
	src/imp/clipboard_handler.cpp\
	$(SRC_CANVAS) \
	src/document/document.cpp \
	src/document/document_board.cpp \
	src/core/core.cpp \
	src/core/tool.cpp \
	src/core/create_tool.cpp \
	src/core/core_properties.cpp\
	src/core/tools/tool_move.cpp\
	src/core/tools/tool_place_junction.cpp\
	src/core/tools/tool_place_junction_schematic.cpp\
	src/core/tools/tool_draw_line.cpp\
	src/core/tools/tool_delete.cpp\
	src/core/tools/tool_draw_arc.cpp\
	src/core/tools/tool_map_pin.cpp\
	src/core/tools/tool_map_symbol.cpp\
	src/core/tools/tool_draw_line_net.cpp\
	src/core/tools/tool_place_text.cpp\
	src/core/tools/tool_place_net_label.cpp\
	src/core/tools/tool_disconnect.cpp\
	src/core/tools/tool_bend_line_net.cpp\
	src/core/tools/tool_move_net_segment.cpp\
	src/core/tools/tool_place_power_symbol.cpp\
	src/core/tools/tool_edit_symbol_pin_names.cpp\
	src/core/tools/tool_place_bus_label.cpp\
	src/core/tools/tool_place_bus_ripper.cpp\
	src/core/tools/tool_manage_buses.cpp\
	src/core/tools/tool_draw_polygon.cpp\
	src/core/tools/tool_draw_plane.cpp\
	src/core/tools/tool_enter_datum.cpp\
	src/core/tools/tool_place_hole.cpp\
	src/core/tools/tool_place_pad.cpp\
	src/core/tools/tool_paste.cpp\
	src/core/tools/tool_assign_part.cpp\
	src/core/tools/tool_map_package.cpp\
	src/core/tools/tool_draw_track.cpp\
	src/core/tools/tool_place_via.cpp\
	src/core/tools/tool_drag_keep_slope.cpp\
	src/core/tools/tool_add_part.cpp\
	src/core/tools/tool_smash.cpp\
	src/core/tools/tool_place_shape.cpp\
	src/core/tools/tool_edit_shape.cpp\
	src/core/tools/tool_import_dxf.cpp\
	src/core/tools/tool_edit_pad_parameter_set.cpp\
	src/core/tools/tool_draw_polygon_rectangle.cpp\
	src/core/tools/tool_draw_line_rectangle.cpp\
	src/core/tools/tool_edit_line_rectangle.cpp\
	src/core/tools/tool_draw_line_circle.cpp\
	src/core/tools/tool_helper_map_symbol.cpp\
	src/core/tools/tool_helper_move.cpp\
	src/core/tools/tool_helper_merge.cpp\
	src/core/tools/tool_helper_collect_nets.cpp\
	src/core/tools/tool_helper_plane.cpp\
	src/core/tools/tool_edit_via.cpp\
	src/core/tools/tool_rotate_arbitrary.cpp\
	src/core/tools/tool_edit_plane.cpp\
	src/core/tools/tool_update_all_planes.cpp\
	src/core/tools/tool_draw_dimension.cpp\
	src/core/tools/tool_set_diffpair.cpp\
	src/core/tools/tool_set_via_net.cpp\
	src/core/tools/tool_lock.cpp\
	src/core/tools/tool_add_vertex.cpp\
	src/core/tools/tool_place_board_hole.cpp\
	src/core/tools/tool_edit_board_hole.cpp\
	src/core/tools/tool_generate_courtyard.cpp\
	src/core/tools/tool_generate_silkscreen.cpp\
	src/core/tools/tool_set_group.cpp\
	src/core/tools/tool_copy_placement.cpp\
	src/core/tools/tool_copy_tracks.cpp\
	src/core/tools/tool_swap_nets.cpp\
	src/core/tools/tool_line_loop_to_polygon.cpp\
	src/core/tools/tool_change_unit.cpp\
	src/core/tools/tool_helper_line_width_setting.cpp\
	src/core/tools/tool_set_nc_all.cpp\
	src/core/tools/tool_set_nc.cpp\
	src/core/tools/tool_add_keepout.cpp\
	src/core/tools/tool_helper_draw_net_setting.cpp\
	src/core/tools/tool_helper_get_symbol.cpp\
	src/core/tools/tool_change_symbol.cpp\
	src/core/tools/tool_place_refdes_and_value.cpp\
	src/core/tools/tool_helper_restrict.cpp\
	src/core/tools/tool_draw_polygon_circle.cpp\
	src/core/tools/tool_draw_connection_line.cpp\
	src/core/tools/tool_backannotate_connection_lines.cpp\
	src/core/tools/tool_import_kicad_package.cpp\
	src/core/tools/tool_smash_silkscreen_graphics.cpp\
	src/core/tools/tool_renumber_pads.cpp\
	src/core/tools/tool_fix.cpp\
	src/core/tools/tool_nopopulate.cpp\
	src/core/tools/tool_polygon_to_line_loop.cpp\
	src/core/tools/tool_place_board_panel.cpp\
	src/core/tools/tool_smash_panel_outline.cpp\
	src/core/tools/tool_smash_package_outline.cpp\
	src/core/tools/tool_resize_symbol.cpp\
	src/core/tools/tool_round_off_vertex.cpp\
	src/core/tools/tool_swap_gates.cpp\
	src/core/tools/tool_place_picture.cpp\
	src/core/tools/tool_place_decal.cpp\
	src/core/tools/tool_drag_polygon_edge.cpp\
	src/core/tools/tool_measure.cpp\
	src/document/documents.cpp\
	src/core/clipboard/clipboard.cpp\
	src/core/clipboard/clipboard_padstack.cpp\
	src/core/clipboard/clipboard_package.cpp\
	src/core/clipboard/clipboard_schematic.cpp\
	src/core/clipboard/clipboard_board.cpp\
	src/dialogs/map_pin.cpp\
	src/dialogs/map_symbol.cpp\
	src/dialogs/map_package.cpp\
	src/dialogs/ask_net_merge.cpp\
	src/dialogs/select_net.cpp\
	src/dialogs/symbol_pin_names_window.cpp\
	src/dialogs/manage_buses.cpp\
	src/dialogs/ask_datum.cpp\
	src/dialogs/ask_datum_string.cpp\
	src/dialogs/select_via_padstack.cpp\
	src/dialogs/dialogs.cpp\
	src/dialogs/annotate.cpp\
	src/dialogs/edit_shape.cpp\
	src/dialogs/manage_net_classes.cpp\
	src/dialogs/manage_power_nets.cpp\
	src/dialogs/pad_parameter_set_window.cpp\
	src/dialogs/edit_via.cpp\
	src/dialogs/pool_browser_dialog.cpp\
	src/dialogs/schematic_properties.cpp\
	src/dialogs/edit_plane.cpp\
	src/dialogs/edit_stackup.cpp\
	src/dialogs/edit_board_hole.cpp\
	src/dialogs/edit_frame.cpp\
	src/dialogs/edit_keepout.cpp\
	src/dialogs/select_group_tag.cpp\
	src/dialogs/ask_datum_angle.cpp\
	src/dialogs/tool_window.cpp\
	src/dialogs/renumber_pads_window.cpp\
	src/dialogs/generate_silkscreen_window.cpp\
	src/dialogs/select_included_board.cpp\
	src/dialogs/manage_included_boards.cpp\
	src/dialogs/enter_datum_window.cpp\
	src/dialogs/enter_datum_angle_window.cpp\
	src/dialogs/enter_datum_scale_window.cpp\
	src/dialogs/router_settings_window.cpp\
	src/util/sort_controller.cpp\
	src/core/core_symbol.cpp\
	src/core/core_schematic.cpp\
	src/core/core_padstack.cpp\
	src/core/core_package.cpp\
	src/core/core_board.cpp\
	src/core/core_frame.cpp\
	src/core/core_decal.cpp\
	src/property_panels/property_panels.cpp\
	src/property_panels/property_panel.cpp\
	src/property_panels/property_editor.cpp\
	src/widgets/warnings_box.cpp\
	src/widgets/net_selector.cpp\
	src/widgets/sheet_box.cpp \
	src/widgets/net_button.cpp\
	src/widgets/layer_box.cpp\
	src/widgets/spin_button_dim.cpp\
	src/widgets/chooser_buttons.cpp\
	src/widgets/cell_renderer_color_box.cpp\
	src/widgets/net_class_button.cpp\
	src/widgets/parameter_set_editor.cpp\
	src/widgets/pool_browser.cpp\
	src/widgets/component_selector.cpp\
	src/widgets/component_button.cpp\
	src/widgets/preview_canvas.cpp\
	src/widgets/about_dialog.cpp\
	src/widgets/project_meta_editor.cpp\
	src/export_pdf/canvas_pdf.cpp\
	src/export_pdf/export_pdf.cpp\
	src/export_pdf/export_pdf_board.cpp\
	src/imp/keyseq_dialog.cpp\
	src/canvas/canvas_patch.cpp\
	src/export_gerber/gerber_writer.cpp\
	src/export_gerber/excellon_writer.cpp\
	src/export_gerber/gerber_export.cpp\
	src/export_gerber/canvas_gerber.cpp\
	src/export_gerber/hash.cpp\
	src/imp/footprint_generator/footprint_generator_window.cpp\
	src/imp/footprint_generator/footprint_generator_base.cpp\

=== debian/changelog ===
horizon-eda (1.4.0-1) unstable; urgency=medium

  * New upstream version
  * change dependency on dh_python to dh-python
  * updated patches

 -- Uwe Steinmann <steinm@debian.org>  Sat, 30 Jan 2021 15:44:08 +0100

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export PREFIX=/usr

%:
	dh $@

override_dh_auto_build:
	doxygen doxygen.config
	make pymodule
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
#	mkdir -p $(CURDIR)/debian/usr/lib/python3.8/dist-packages
#	cp build/horizon.so $(CURDIR)/debian/usr/lib/python3.8/dist-packages/
	mv build/horizon.so .
	dh_python3

override_dh_clean:
	-rm -r docs
	-rm -r horizon.so
	-rm -f src/preferences/color_presets.json
	dh_clean

## horizon-eda 2.1.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 all: $(PROGS)
 pymodule: $(BUILDDIR)/horizon.so
 
-.PHONY: all pymodule
+.PHONY: all pymodule install install-man
 
 SRC_COMMON = \
 	src/util/uuid.cpp \
@@ -57,7 +57,6 @@
 	src/board/board_package.cpp\
 	src/board/track.cpp\
 	src/board/airwire.cpp\
-	src/board/via_padstack_provider.cpp\
 	src/board/via.cpp\
 	src/board/plane.cpp\
 	src/board/board_rules.cpp\
@@ -84,8 +83,11 @@
 	src/board/pnp.cpp\
 	src/board/board_decal.cpp\
 	src/pool/pool.cpp \
+	src/pool/ipool.cpp \
+	src/pool/pool_info.cpp \
 	src/util/placement.cpp\
 	src/util/util.cpp\
+	src/util/geom_util.cpp\
 	src/util/csv.cpp\
 	src/common/object_descr.cpp\
 	src/block/net_class.cpp\
@@ -109,14 +111,16 @@
 	src/pool/pool_parametric.cpp \
 	src/board/included_board.cpp \
 	src/board/board_panel.cpp \
-	src/pool/pool_cached.cpp\
 	src/common/picture.cpp\
 	src/util/picture_data.cpp\
 	src/util/picture_load.cpp\
 	src/pool/decal.cpp\
 	src/symbol/symbol_rules.cpp\
 	src/symbol/rule_symbol_checks.cpp\
-	src/util/file_version.cpp
+	src/util/file_version.cpp\
+	src/pool/project_pool.cpp\
+	src/util/fs_util.cpp\
+	src/common/grid_settings.cpp\
 
 
 ifeq ($(OS),Windows_NT)
@@ -130,6 +134,15 @@
 	src/pool-update/pool-update.cpp\
 	src/pool-update/pool-update_parametric.cpp\
 	src/pool-update/pool-update_pool.cpp\
+	src/pool-update/pool_updater.cpp\
+	src/pool-update/pool_updater_frame.cpp\
+	src/pool-update/pool_updater_decal.cpp\
+	src/pool-update/pool_updater_unit.cpp\
+	src/pool-update/pool_updater_entity.cpp\
+	src/pool-update/pool_updater_padstack.cpp\
+	src/pool-update/pool_updater_package.cpp\
+	src/pool-update/pool_updater_part.cpp\
+	src/pool-update/pool_updater_symbol.cpp\
 	src/pool-update/graph.cpp\
 
 SRC_CANVAS = \
@@ -165,6 +178,7 @@
 	src/canvas/bitmap_font_util.cpp\
 	src/canvas/picture_renderer.cpp\
 	src/util/polygon_arc_removal_proxy.cpp\
+	src/util/warp_cursor.cpp\
 
 SRC_IMP = \
 	src/imp/imp_main.cpp \
@@ -179,7 +193,9 @@
 	src/imp/imp_schematic.cpp\
 	src/imp/imp_padstack.cpp\
 	src/imp/imp_package.cpp\
-	src/imp/imp_package_3d.cpp\
+	src/imp/3d/imp_package_3d.cpp\
+	src/imp/3d/model_editor.cpp\
+	src/imp/3d/place_model_box.cpp\
 	src/imp/imp_board.cpp\
 	src/imp/imp_frame.cpp\
 	src/imp/imp_decal.cpp\
@@ -288,6 +304,10 @@
 	src/core/tools/tool_place_decal.cpp\
 	src/core/tools/tool_drag_polygon_edge.cpp\
 	src/core/tools/tool_measure.cpp\
+	src/core/tools/tool_edit_custom_value.cpp\
+	src/core/tools/tool_place_dot.cpp\
+	src/core/tools/tool_set_track_width.cpp\
+	src/core/tools/tool_settings_rectangle_mode.cpp\
 	src/document/documents.cpp\
 	src/core/clipboard/clipboard.cpp\
 	src/core/clipboard/clipboard_padstack.cpp\
@@ -303,7 +323,7 @@
 	src/dialogs/manage_buses.cpp\
 	src/dialogs/ask_datum.cpp\
 	src/dialogs/ask_datum_string.cpp\
-	src/dialogs/select_via_padstack.cpp\
+	src/widgets/text_editor.cpp\
 	src/dialogs/dialogs.cpp\
 	src/dialogs/annotate.cpp\
 	src/dialogs/edit_shape.cpp\
@@ -329,6 +349,7 @@
 	src/dialogs/enter_datum_angle_window.cpp\
 	src/dialogs/enter_datum_scale_window.cpp\
 	src/dialogs/router_settings_window.cpp\
+	src/dialogs/edit_custom_value.cpp\
 	src/util/sort_controller.cpp\
 	src/core/core_symbol.cpp\
 	src/core/core_schematic.cpp\
@@ -346,25 +367,4 @@
 	src/widgets/net_button.cpp\
 	src/widgets/layer_box.cpp\
 	src/widgets/spin_button_dim.cpp\
-	src/widgets/chooser_buttons.cpp\
 	src/widgets/cell_renderer_color_box.cpp\
-	src/widgets/net_class_button.cpp\
-	src/widgets/parameter_set_editor.cpp\
-	src/widgets/pool_browser.cpp\
-	src/widgets/component_selector.cpp\
-	src/widgets/component_button.cpp\
-	src/widgets/preview_canvas.cpp\
-	src/widgets/about_dialog.cpp\
-	src/widgets/project_meta_editor.cpp\
-	src/export_pdf/canvas_pdf.cpp\
-	src/export_pdf/export_pdf.cpp\
-	src/export_pdf/export_pdf_board.cpp\
-	src/imp/keyseq_dialog.cpp\
-	src/canvas/canvas_patch.cpp\
-	src/export_gerber/gerber_writer.cpp\
-	src/export_gerber/excellon_writer.cpp\
-	src/export_gerber/gerber_export.cpp\
-	src/export_gerber/canvas_gerber.cpp\
-	src/export_gerber/hash.cpp\
-	src/imp/footprint_generator/footprint_generator_window.cpp\
-	src/imp/footprint_generator/footprint_generator_base.cpp\

=== debian/changelog ===
horizon-eda (2.1.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:22:54 +0000

horizon-eda (2.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Thu, 09 Sep 2021 17:17:09 +0200

horizon-eda (2.0.90-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Tue, 07 Sep 2021 08:03:43 +0200

horizon-eda (2.0.0-1) unstable; urgency=medium

  * New upstream version
  * Fix typo in Rules-requires-root

 -- Uwe Steinmann <steinm@debian.org>  Thu, 02 Sep 2021 09:04:50 +0200

## horizon-eda 2.2.0

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 SRC_COMMON = \
 	src/util/uuid.cpp \
 	src/util/uuid_path.cpp\
+	src/util/uuid_vec.cpp\
 	src/util/sqlite.cpp\
 	src/util/str_util.cpp\
 	src/pool/pool_manager.cpp \
@@ -17,6 +18,7 @@
 	src/pool/symbol.cpp \
 	src/pool/part.cpp\
 	src/common/common.cpp \
+	src/common/lut.cpp \
 	src/common/junction.cpp \
 	src/common/junction_util.cpp \
 	src/common/line.cpp \
@@ -28,6 +30,7 @@
 	src/block/block.cpp\
 	src/pool/entity.cpp\
 	src/block/component.cpp\
+	src/block/block_instance.cpp\
 	src/block/bom.cpp\
 	src/block/bom_export_settings.cpp\
 	src/schematic/schematic.cpp\
@@ -39,12 +42,14 @@
 	src/schematic/bus_label.cpp\
 	src/schematic/bus_ripper.cpp\
 	src/schematic/schematic_symbol.cpp\
+	src/schematic/schematic_block_symbol.cpp\
 	src/schematic/power_symbol.cpp\
 	src/schematic/schematic_rules.cpp\
 	src/schematic/rule_single_pin_net.cpp\
 	src/common/pdf_export_settings.cpp\
 	src/pool/padstack.cpp\
 	src/common/polygon.cpp\
+	src/util/polygon_arc_removal_proxy.cpp\
 	src/common/hole.cpp\
 	src/common/shape.cpp\
 	src/common/patch_type_names.cpp\
@@ -121,6 +126,16 @@
 	src/pool/project_pool.cpp\
 	src/util/fs_util.cpp\
 	src/common/grid_settings.cpp\
+	src/util/dependency_graph.cpp\
+	src/blocks/blocks.cpp\
+	src/blocks/blocks_schematic.cpp\
+	src/block_symbol/block_symbol.cpp\
+	src/blocks/dependency_graph.cpp\
+	src/util/installation_uuid.cpp\
+	src/rules/rule_match_component.cpp\
+	src/board/rule_shorted_pads.cpp\
+	src/rules/rule_match_component.cpp\
+	src/common/pin_name_orientation.cpp\
 
 
 ifeq ($(OS),Windows_NT)
@@ -177,8 +192,8 @@
 	src/canvas/appearance.cpp\
 	src/canvas/bitmap_font_util.cpp\
 	src/canvas/picture_renderer.cpp\
-	src/util/polygon_arc_removal_proxy.cpp\
 	src/util/warp_cursor.cpp\
+	src/canvas/layer_display.cpp\
 
 SRC_IMP = \
 	src/imp/imp_main.cpp \
@@ -308,14 +323,18 @@
 	src/core/tools/tool_place_dot.cpp\
 	src/core/tools/tool_set_track_width.cpp\
 	src/core/tools/tool_settings_rectangle_mode.cpp\
+	src/core/tools/tool_exchange_gates.cpp\
+	src/core/tools/tool_map_port.cpp\
+	src/core/tools/tool_add_block_instance.cpp\
+	src/core/tools/tool_helper_save_placements.cpp\
+	src/core/tools/tool_align_and_distribute.cpp\
 	src/document/documents.cpp\
 	src/core/clipboard/clipboard.cpp\
 	src/core/clipboard/clipboard_padstack.cpp\
 	src/core/clipboard/clipboard_package.cpp\
 	src/core/clipboard/clipboard_schematic.cpp\
 	src/core/clipboard/clipboard_board.cpp\
-	src/dialogs/map_pin.cpp\
-	src/dialogs/map_symbol.cpp\
+	src/dialogs/map_uuid_path.cpp\
 	src/dialogs/map_package.cpp\
 	src/dialogs/ask_net_merge.cpp\
 	src/dialogs/select_net.cpp\
@@ -347,24 +366,3 @@
 	src/dialogs/manage_included_boards.cpp\
 	src/dialogs/enter_datum_window.cpp\
 	src/dialogs/enter_datum_angle_window.cpp\
-	src/dialogs/enter_datum_scale_window.cpp\
-	src/dialogs/router_settings_window.cpp\
-	src/dialogs/edit_custom_value.cpp\
-	src/util/sort_controller.cpp\
-	src/core/core_symbol.cpp\
-	src/core/core_schematic.cpp\
-	src/core/core_padstack.cpp\
-	src/core/core_package.cpp\
-	src/core/core_board.cpp\
-	src/core/core_frame.cpp\
-	src/core/core_decal.cpp\
-	src/property_panels/property_panels.cpp\
-	src/property_panels/property_panel.cpp\
-	src/property_panels/property_editor.cpp\
-	src/widgets/warnings_box.cpp\
-	src/widgets/net_selector.cpp\
-	src/widgets/sheet_box.cpp \
-	src/widgets/net_button.cpp\
-	src/widgets/layer_box.cpp\
-	src/widgets/spin_button_dim.cpp\
-	src/widgets/cell_renderer_color_box.cpp\

=== debian/changelog ===
horizon-eda (2.2.0-1build1) kinetic; urgency=medium

  * No-change rebuild against libpodofo0.9.8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 May 2022 17:03:09 +0000

horizon-eda (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Add CC0-1.0, APGL-3+ to licenses

 -- Uwe Steinmann <steinm@debian.org>  Mon, 14 Feb 2022 10:53:54 +0100

=== debian/control ===
Source: horizon-eda
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: debhelper (>= 10), doxygen,
 libsqlite3-dev, util-linux (>= 2.29), librsvg2-dev, libcairomm-1.0-dev,
 libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
 libzmq3-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
 liboce-ocaf-dev, libdxflib-dev,
 libzip-dev, libglib2.0-dev, libpodofo-dev, python3-cairo-dev, libosmesa6-dev,
 libpython3-dev, dh-python
Standards-Version: 4.4.0
Homepage: https://horizon-eda.org/
Rules-Requires-Root: no

Package: horizon-eda
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: EDA layout and schematic application
 Horizon is an Electronic Design Automation (EDA) tool for circuit
 board design. It manages the full design flow from schematic entry
 to gerber export. The main differentiator from KiCAD is a different
 (more sane) part library design. It is quite new software in 2018
 so may have rough edges but is already very capable.
 .
 Notable features:
  * Sane library management
  * Unified editor for everything from symbol to board
  * Netlist-aware schematic editor
  * KiCad's awesome interactive router
  * Lag- and glitch-free rendering
  * Rule-based DRC
  * Undo/redo
  * Copy/paste for some objects
  * Builds and runs on Linux and Windows

## horizon-eda 2.3.1

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	src/schematic/schematic_block_symbol.cpp\
 	src/schematic/power_symbol.cpp\
 	src/schematic/schematic_rules.cpp\
-	src/schematic/rule_single_pin_net.cpp\
+	src/schematic/rule_connectivity.cpp\
 	src/common/pdf_export_settings.cpp\
 	src/pool/padstack.cpp\
 	src/common/polygon.cpp\
@@ -59,6 +59,7 @@
 	src/package/rule_package_checks.cpp\
 	src/package/rule_clearance_package.cpp\
 	src/board/board.cpp\
+	src/board/board_junction.cpp\
 	src/board/board_package.cpp\
 	src/board/track.cpp\
 	src/board/airwire.cpp\
@@ -78,9 +79,11 @@
 	src/board/rule_clearance_copper_keepout.cpp\
 	src/board/rule_layer_pair.cpp\
 	src/board/rule_clearance_same_net.cpp\
+	src/board/rule_board_connectivity.cpp\
 	3rd_party/delaunator/delaunator.cpp\
 	src/board/airwires.cpp\
-	src/board/fab_output_settings.cpp\
+	src/board/gerber_output_settings.cpp\
+	src/board/odb_output_settings.cpp\
 	src/board/board_hole.cpp\
 	src/board/connection_line.cpp\
 	src/board/step_export_settings.cpp\
@@ -134,8 +137,14 @@
 	src/util/installation_uuid.cpp\
 	src/rules/rule_match_component.cpp\
 	src/board/rule_shorted_pads.cpp\
+	src/board/rule_thermals.cpp\
 	src/rules/rule_match_component.cpp\
 	src/common/pin_name_orientation.cpp\
+	src/util/pin_direction_accumulator.cpp\
+	src/block/net_tie.cpp\
+	src/schematic/schematic_net_tie.cpp\
+	src/board/board_net_tie.cpp\
+	src/board/rule_net_ties.cpp\
 
 
 ifeq ($(OS),Windows_NT)
@@ -162,38 +171,81 @@
 
 SRC_CANVAS = \
 	src/canvas/canvas.cpp \
-	src/canvas/canvas_gl.cpp \
-	src/canvas/grid.cpp \
-	src/canvas/gl_util.cpp \
-	src/canvas/pan.cpp \
+	src/canvas/appearance.cpp \
 	src/canvas/render.cpp \
 	src/canvas/draw.cpp \
 	src/canvas/text.cpp \
 	src/canvas/hershey_fonts.cpp \
-	src/canvas/drag_selection.cpp \
-	src/canvas/selectables.cpp \
-	src/canvas/selectables_renderer.cpp \
-	src/canvas/hover_prelight.cpp\
-	src/canvas/triangle_renderer.cpp\
 	src/canvas/image.cpp\
-	src/canvas/selection_filter.cpp\
+	src/canvas/selectables.cpp\
+	src/canvas/fragment_cache.cpp\
+	src/util/text_data.cpp \
+	src/util/text_renderer.cpp \
+	src/canvas/text_renderer.cpp\
 	3rd_party/polypartition/polypartition.cpp\
-	src/canvas/marker.cpp\
-	src/canvas/annotation.cpp \
-	src/canvas/fragment_cache.cpp \
-	src/util/text_data.cpp \
 	3rd_party/poly2tri/common/shapes.cpp\
 	3rd_party/poly2tri/sweep/cdt.cpp\
 	3rd_party/poly2tri/sweep/sweep.cpp\
 	3rd_party/poly2tri/sweep/sweep_context.cpp\
 	3rd_party/poly2tri/sweep/advancing_front.cpp\
+	src/canvas/layer_display.cpp\
+
+SRC_EXPORT = \
+	src/export_gerber/gerber_writer.cpp\
+	src/export_gerber/excellon_writer.cpp\
+	src/export_gerber/gerber_export.cpp\
+	src/export_gerber/canvas_gerber.cpp\
+	src/export_util/padstack_hash.cpp\
+	src/export_util/tree_writer.cpp\
+	src/export_util/tree_writer_fs.cpp\
+	src/export_util/tree_writer_archive.cpp\
+	src/export_pdf/canvas_pdf.cpp\
+	src/export_pdf/export_pdf.cpp\
+	src/export_pdf/export_pdf_board.cpp\
+	src/export_pdf/export_pdf_util.cpp\
+	src/export_pnp/export_pnp.cpp \
+	src/export_bom/export_bom.cpp\
+	src/export_odb/odb_export.cpp\
+	src/export_odb/canvas_odb.cpp\
+	src/export_odb/db.cpp\
+	src/export_odb/eda_data.cpp\
+	src/export_odb/attribute_util.cpp\
+	src/export_odb/surface_data.cpp\
+	src/export_odb/features.cpp\
+	src/export_odb/components.cpp\
+	src/export_odb/symbol.cpp\
+	src/export_odb/odb_util.cpp\
+	src/export_odb/track_graph.cpp\
+	src/export_odb/structured_text_writer.cpp\
+
+SRC_CANVAS_GL = \
+	$(SRC_CANVAS) \
+	src/canvas/canvas_gl.cpp \
+	src/canvas/grid.cpp \
+	src/canvas/gl_util.cpp \
+	src/canvas/pan.cpp \
+	src/canvas/drag_selection.cpp \
+	src/canvas/selectables_renderer.cpp \
+	src/canvas/hover_prelight.cpp\
+	src/canvas/triangle_renderer.cpp\
+	src/canvas/selection_filter.cpp\
+	src/canvas/marker.cpp\
+	src/canvas/annotation.cpp \
 	src/util/msd.cpp\
 	src/util/msd_animator.cpp\
-	src/canvas/appearance.cpp\
 	src/canvas/bitmap_font_util.cpp\
 	src/canvas/picture_renderer.cpp\
 	src/util/warp_cursor.cpp\
-	src/canvas/layer_display.cpp\
+
+SRC_BOARD_RULES_CHECK = \
+	src/rules/cache.cpp \
+	src/board/board_rules_check.cpp\
+	src/board/board_rules_check_clearance_copper.cpp\
+	src/board/board_rules_check_clearance_copper_non_copper.cpp\
+	src/board/board_rules_check_net_ties.cpp\
+	src/board/board_rules_check_plane_priorities.cpp\
+	src/board/board_rules_check_board_connectivity.cpp\
+	src/board/board_rules_check_util.cpp\
 
 SRC_IMP = \
 	src/imp/imp_main.cpp \
@@ -220,13 +272,14 @@
 	src/imp/action_catalog.cpp\
 	src/imp/in_tool_action_catalog.cpp\
 	src/imp/clipboard_handler.cpp\
-	$(SRC_CANVAS) \
+	$(SRC_CANVAS_GL) \
 	src/document/document.cpp \
 	src/document/document_board.cpp \
 	src/core/core.cpp \
 	src/core/tool.cpp \
 	src/core/create_tool.cpp \
 	src/core/core_properties.cpp\
+	src/core/tools/tool_merge_duplicate_junctions.cpp\
 	src/core/tools/tool_move.cpp\
 	src/core/tools/tool_place_junction.cpp\
 	src/core/tools/tool_place_junction_schematic.cpp\
@@ -277,6 +330,7 @@
 	src/core/tools/tool_edit_plane.cpp\
 	src/core/tools/tool_update_all_planes.cpp\
 	src/core/tools/tool_draw_dimension.cpp\
+	src/core/tools/tool_select_connected_lines.cpp\
 	src/core/tools/tool_set_diffpair.cpp\
 	src/core/tools/tool_set_via_net.cpp\
 	src/core/tools/tool_lock.cpp\
@@ -290,6 +344,7 @@
 	src/core/tools/tool_copy_tracks.cpp\
 	src/core/tools/tool_swap_nets.cpp\
 	src/core/tools/tool_line_loop_to_polygon.cpp\
+	src/core/tools/tool_lines_to_tracks.cpp\
 	src/core/tools/tool_change_unit.cpp\
 	src/core/tools/tool_helper_line_width_setting.cpp\
 	src/core/tools/tool_set_nc_all.cpp\
@@ -316,53 +371,3 @@
 	src/core/tools/tool_round_off_vertex.cpp\
 	src/core/tools/tool_swap_gates.cpp\
 	src/core/tools/tool_place_picture.cpp\
-	src/core/tools/tool_place_decal.cpp\
-	src/core/tools/tool_drag_polygon_edge.cpp\
-	src/core/tools/tool_measure.cpp\
-	src/core/tools/tool_edit_custom_value.cpp\
-	src/core/tools/tool_place_dot.cpp\
-	src/core/tools/tool_set_track_width.cpp\
-	src/core/tools/tool_settings_rectangle_mode.cpp\
-	src/core/tools/tool_exchange_gates.cpp\
-	src/core/tools/tool_map_port.cpp\
-	src/core/tools/tool_add_block_instance.cpp\
-	src/core/tools/tool_helper_save_placements.cpp\
-	src/core/tools/tool_align_and_distribute.cpp\
-	src/document/documents.cpp\
-	src/core/clipboard/clipboard.cpp\
-	src/core/clipboard/clipboard_padstack.cpp\
-	src/core/clipboard/clipboard_package.cpp\
-	src/core/clipboard/clipboard_schematic.cpp\
-	src/core/clipboard/clipboard_board.cpp\
-	src/dialogs/map_uuid_path.cpp\
-	src/dialogs/map_package.cpp\
-	src/dialogs/ask_net_merge.cpp\
-	src/dialogs/select_net.cpp\
-	src/dialogs/symbol_pin_names_window.cpp\
-	src/dialogs/manage_buses.cpp\
-	src/dialogs/ask_datum.cpp\
-	src/dialogs/ask_datum_string.cpp\
-	src/widgets/text_editor.cpp\
-	src/dialogs/dialogs.cpp\
-	src/dialogs/annotate.cpp\
-	src/dialogs/edit_shape.cpp\
-	src/dialogs/manage_net_classes.cpp\
-	src/dialogs/manage_power_nets.cpp\
-	src/dialogs/pad_parameter_set_window.cpp\
-	src/dialogs/edit_via.cpp\
-	src/dialogs/pool_browser_dialog.cpp\
-	src/dialogs/schematic_properties.cpp\
-	src/dialogs/edit_plane.cpp\
-	src/dialogs/edit_stackup.cpp\
-	src/dialogs/edit_board_hole.cpp\
-	src/dialogs/edit_frame.cpp\
-	src/dialogs/edit_keepout.cpp\
-	src/dialogs/select_group_tag.cpp\
-	src/dialogs/ask_datum_angle.cpp\
-	src/dialogs/tool_window.cpp\
-	src/dialogs/renumber_pads_window.cpp\
-	src/dialogs/generate_silkscreen_window.cpp\
-	src/dialogs/select_included_board.cpp\
-	src/dialogs/manage_included_boards.cpp\
-	src/dialogs/enter_datum_window.cpp\
-	src/dialogs/enter_datum_angle_window.cpp\

=== debian/changelog ===
horizon-eda (2.3.1-2) unstable; urgency=medium

  * build-depend depend on libarchive-dev (Closes: #1017910)

 -- Uwe Steinmann <steinm@debian.org>  Mon, 22 Aug 2022 15:01:12 +0200

horizon-eda (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * depend on libdxf (>> 3.17.0) which fixes CVE-2021-21897
    and closes: #1010348
  * depend on cppzmq-dev instead of libzmq3-dev, closes: #1017432

 -- Uwe Steinmann <steinm@debian.org>  Thu, 18 Aug 2022 08:03:25 +0200

## horizon-eda 2.4.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 all: $(PROGS)
 pymodule: $(BUILDDIR)/horizon.so
 
-.PHONY: all pymodule install install-man
+.PHONY: all pymodule install install-man test
 
 SRC_COMMON = \
 	src/util/uuid.cpp \
@@ -306,6 +306,7 @@
 	src/core/tools/tool_place_pad.cpp\
 	src/core/tools/tool_paste.cpp\
 	src/core/tools/tool_assign_part.cpp\
+	src/core/tools/tool_clear_part.cpp\
 	src/core/tools/tool_map_package.cpp\
 	src/core/tools/tool_draw_track.cpp\
 	src/core/tools/tool_place_via.cpp\
@@ -340,8 +341,6 @@
 	src/core/tools/tool_generate_courtyard.cpp\
 	src/core/tools/tool_generate_silkscreen.cpp\
 	src/core/tools/tool_set_group.cpp\
-	src/core/tools/tool_copy_placement.cpp\
-	src/core/tools/tool_copy_tracks.cpp\
 	src/core/tools/tool_swap_nets.cpp\
 	src/core/tools/tool_line_loop_to_polygon.cpp\
 	src/core/tools/tool_lines_to_tracks.cpp\
@@ -371,3 +370,4 @@
 	src/core/tools/tool_round_off_vertex.cpp\
 	src/core/tools/tool_swap_gates.cpp\
 	src/core/tools/tool_place_picture.cpp\
+	src/core/tools/tool_place_decal.cpp\

=== 3rd_party/router/kimath/CMakeLists.txt ===
set( KIMATH_SRCS
    src/bezier_curves.cpp
    src/convert_basic_shapes_to_polygon.cpp
    src/md5_hash.cpp
    src/trigo.cpp

    src/geometry/circle.cpp
    src/geometry/convex_hull.cpp
    src/geometry/direction_45.cpp
    src/geometry/geometry_utils.cpp
    src/geometry/poly_grid_partition.cpp
    src/geometry/seg.cpp
    src/geometry/shape.cpp
    src/geometry/shape_arc.cpp
    src/geometry/shape_collisions.cpp
    src/geometry/shape_file_io.cpp
    src/geometry/shape_line_chain.cpp
    src/geometry/shape_poly_set.cpp
    src/geometry/shape_rect.cpp
    src/geometry/shape_compound.cpp
    src/geometry/shape_segment.cpp


    src/math/util.cpp
)

# Include the other smaller math libraries in this one for convenience
add_library( kimath STATIC
    ${KIMATH_SRCS}
    $<TARGET_OBJECTS:clipper>
    $<TARGET_OBJECTS:othermath>
)

add_dependencies( kimath clipper )
add_dependencies( kimath rtree )
add_dependencies( kimath othermath )

target_link_libraries( kimath
    ${wxWidgets_LIBRARIES}      # wxLogDebug, wxASSERT
    ${Boost_LIBRARIES}          # Because of the OPT types
)

target_include_directories( kimath PUBLIC
    ${PROJECT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    $<TARGET_PROPERTY:clipper,INTERFACE_INCLUDE_DIRECTORIES>
    $<TARGET_PROPERTY:othermath,INTERFACE_INCLUDE_DIRECTORIES>
    $<TARGET_PROPERTY:rtree,INTERFACE_INCLUDE_DIRECTORIES>
)

# core/optional.h is needed for OPT types
target_include_directories( kimath PRIVATE
    ${PROJECT_SOURCE_DIR}/include
    ${wxWidgets_LIBRARIES}
    ${Boost_INCLUDE_DIR}
)

=== debian/changelog ===
horizon-eda (2.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Sat, 26 Nov 2022 11:45:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: horizon-eda
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
+Maintainer: Uwe Steinmann <steinm@debian.org>
 Uploaders: Wookey <wookey@debian.org>
 Build-Depends: debhelper (>= 10), doxygen,
  libsqlite3-dev, util-linux (>= 2.29), librsvg2-dev, libcairomm-1.0-dev,
  libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
- libzmq3-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
- liboce-ocaf-dev, libdxflib-dev,
+ cppzmq-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
+ liboce-ocaf-dev, libdxflib-dev (>> 3.17.0), libspnav-dev, libarchive-dev,
  libzip-dev, libglib2.0-dev, libpodofo-dev, python3-cairo-dev, libosmesa6-dev,
  libpython3-dev, dh-python
 Standards-Version: 4.4.0

## horizon-eda 2.5.0

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,7 @@
 	src/pool/padstack.cpp\
 	src/common/polygon.cpp\
 	src/util/polygon_arc_removal_proxy.cpp\
+	src/util/layer_range.cpp\
 	src/common/hole.cpp\
 	src/common/shape.cpp\
 	src/common/patch_type_names.cpp\
@@ -80,6 +81,8 @@
 	src/board/rule_layer_pair.cpp\
 	src/board/rule_clearance_same_net.cpp\
 	src/board/rule_board_connectivity.cpp\
+	src/board/rule_via_definitions.cpp\
+	src/board/via_definition.cpp\
 	3rd_party/delaunator/delaunator.cpp\
 	src/board/airwires.cpp\
 	src/board/gerber_output_settings.cpp\
@@ -275,6 +278,7 @@
 	$(SRC_CANVAS_GL) \
 	src/document/document.cpp \
 	src/document/document_board.cpp \
+	src/util/history_manager.cpp \
 	src/core/core.cpp \
 	src/core/tool.cpp \
 	src/core/create_tool.cpp \
@@ -368,6 +372,3 @@
 	src/core/tools/tool_smash_package_outline.cpp\
 	src/core/tools/tool_resize_symbol.cpp\
 	src/core/tools/tool_round_off_vertex.cpp\
-	src/core/tools/tool_swap_gates.cpp\
-	src/core/tools/tool_place_picture.cpp\
-	src/core/tools/tool_place_decal.cpp\

=== 3rd_party/router/kimath/CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
     $<TARGET_PROPERTY:rtree,INTERFACE_INCLUDE_DIRECTORIES>
 )
 
-# core/optional.h is needed for OPT types
+# optional is needed for OPT types
 target_include_directories( kimath PRIVATE
     ${PROJECT_SOURCE_DIR}/include
     ${wxWidgets_LIBRARIES}

=== debian/changelog ===
horizon-eda (2.5.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:57 +1100

horizon-eda (2.5.0-1build3) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:58:59 +0000

horizon-eda (2.5.0-1build2) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:21:21 +0000

horizon-eda (2.5.0-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:53:32 +0000

horizon-eda (2.5.0-1) unstable; urgency=medium

  * New upstream version
  * gcc-13 patch has been added upstream

 -- Uwe Steinmann <steinm@debian.org>  Wed, 7 Feb 2024 09:16:28 +0100

horizon-eda (2.4.0-1.1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Non-maintainer upload.

  [ Tobias Frost ]
  * Migrate from oce to occt (Closes: #1036878)

  [ Jonathan Bergh ]
  * Fix FTBFS with gcc-13 update (Closes: #1037692)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 22 Sep 2023 13:41:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: horizon-eda
 Section: electronics
 Priority: optional
-Maintainer: Uwe Steinmann <steinm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
 Uploaders: Wookey <wookey@debian.org>
 Build-Depends: debhelper (>= 10), doxygen,
  libsqlite3-dev, util-linux (>= 2.29), librsvg2-dev, libcairomm-1.0-dev,
  libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
  cppzmq-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
- liboce-ocaf-dev, libdxflib-dev (>> 3.17.0), libspnav-dev, libarchive-dev,
+ libocct-data-exchange-dev, libdxflib-dev (>> 3.17.0), libspnav-dev, libarchive-dev,
  libzip-dev, libglib2.0-dev, libpodofo-dev, python3-cairo-dev, libosmesa6-dev,
  libpython3-dev, dh-python
 Standards-Version: 4.4.0

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 override_dh_clean:
 	-rm -r docs
 	-rm -r horizon.so
+	-rm -r build/horizon-tests
 	-rm -f src/preferences/color_presets.json
 	dh_clean

## horizon-eda 2.6.0

=== debian/changelog ===
horizon-eda (2.6.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherrypick upstream commit to remove libosmesa6-dev. (Closes: #1116331)

 -- Tobias Frost <tobi@debian.org>  Fri, 17 Oct 2025 16:13:24 +0200

horizon-eda (2.6.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS against newer libgit (Closes: #1084394).

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 17 Dec 2024 20:24:09 -0600

horizon-eda (2.6.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS, add missing B-D on cppzmq-dev. Closes: #1071643

 -- Tobias Frost <tobi@debian.org>  Fri, 24 May 2024 20:52:05 +0200

horizon-eda (2.6.0-2) unstable; urgency=medium

  * Fix build depend

 -- Uwe Steinmann <steinm@debian.org>  Wed, 22 May 2024 17:31:22 +0200

horizon-eda (2.6.0-1) unstable; urgency=medium

  * New upstream version
  * Build uses meson and verbose compile output (Closes: #1071433)
  * Builds with opencascade 7.8.1 and below (Closes: #1071284)
  * Update dependencies
  * Html documentation is no longer included
  * Do not build python module anymore

 -- Uwe Steinmann <steinm@debian.org>  Wed, 22 May 2024 09:16:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: horizon-eda
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
+Maintainer: Uwe Steinmann <steinm@debian.org>
 Uploaders: Wookey <wookey@debian.org>
-Build-Depends: debhelper (>= 10), doxygen,
+Build-Depends: debhelper (>= 10), meson, cmake, git,
  libsqlite3-dev, util-linux (>= 2.29), librsvg2-dev, libcairomm-1.0-dev,
- libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
- cppzmq-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
- libocct-data-exchange-dev, libdxflib-dev (>> 3.17.0), libspnav-dev, libarchive-dev,
- libzip-dev, libglib2.0-dev, libpodofo-dev, python3-cairo-dev, libosmesa6-dev,
- libpython3-dev, dh-python
+ libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libzmq5, libzmq3-dev,
+ libglm-dev, libgit2-dev, libcurl4-gnutls-dev, libocct-data-exchange-dev,
+ libdxflib-dev (>> 3.17.0), libarchive-dev,
+ libzip-dev, libglib2.0-dev, libpodofo-dev, python3-cairo-dev,
+ dh-python, cppzmq-dev
 Standards-Version: 4.4.0
 Homepage: https://horizon-eda.org/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,14 @@
 export PREFIX=/usr
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
-override_dh_auto_build:
+__override_dh_auto_build:
 	doxygen doxygen.config
 	make pymodule
 	dh_auto_build
 
-override_dh_auto_install:
+__override_dh_auto_install:
 	dh_auto_install
 #	mkdir -p $(CURDIR)/debian/usr/lib/python3.8/dist-packages
 #	cp build/horizon.so $(CURDIR)/debian/usr/lib/python3.8/dist-packages/
